{
  "AbilityMixins": [
    {
      "$type": "ActionsOnPropertyChangeMixin",
      "PropertyActions": [
        {
          "CustomPropertyType": "MagicValueCounts",
          "IsSaveToSpecial": true,
          "NameSaveToSpecial": "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume",
          "PropertyChangeActions": [
            {
              "$type": "SetAbilitySpecialByExpression",
              "Expression": "specials(AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume)*(-1)",
              "ParamName": "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Reverse",
              "Predicates": [
                {
                  "$type": "ByAbilitySpecial",
                  "CompareType": "Less",
                  "Param": 0,
                  "ParamName": "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume",
                  "ParamType": "Integer",
                  "Target": "Self"
                }
              ],
              "Target": "Self",
              "ValueType": "Integer"
            },
            {
              "$type": "ApplyModifier",
              "ModifierName": "AbyssS2_SingeleTask_Unagi_02_Modifier",
              "Predicates": [
                {
                  "$type": "ByAbilitySpecial",
                  "CompareType": "Less",
                  "Param": 0,
                  "ParamName": "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume",
                  "ParamType": "Integer",
                  "Target": "Self"
                }
              ],
              "StackCount": "%AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Reverse",
              "Target": "Self"
            },
            {
              "$type": "TriggerLevelCustomConditions",
              "LevelConditionsID": 1660,
              "Predicates": [
                {
                  "$type": "ByAbilitySpecial",
                  "CompareType": "Less",
                  "Param": 0,
                  "ParamName": "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume",
                  "ParamType": "Integer",
                  "Target": "Self"
                },
                {
                  "$type": "ByModifierStackCount",
                  "CompareType": "GreaterEqual",
                  "CountModifierType": "SameNameAbility",
                  "ModifierName": "AbyssS2_SingeleTask_Unagi_02_Modifier",
                  "StackCount": "%AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Target",
                  "Target": "Self"
                }
              ]
            }
          ],
          "PropertyType": "Custom"
        }
      ]
    }
  ],
  "AbilityName": "AbyssS2_SingeleTask_Unagi",
  "AbilitySpecials": {
    "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume": {
      "Value": 0,
      "ValueType": "Integer"
    },
    "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Duration": {
      "Value": 25,
      "ValueType": "Float"
    },
    "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Reverse": {
      "Value": 0,
      "ValueType": "Integer"
    },
    "AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Target": {
      "Value": 18,
      "ValueType": "Integer"
    },
    "AS_AbyssS2_SingeleTask_Unagi_S01_Count": {
      "Value": 0,
      "ValueType": "Integer"
    },
    "AS_AbyssS2_SingeleTask_Unagi_S01_Target": {
      "Value": 5,
      "ValueType": "Integer"
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnCustomEventReceived": [
      {
        "$type": "SetAbilitySpecialAction",
        "ModifyFunction": "Add",
        "Param": 1,
        "ParamName": "AS_AbyssS2_SingeleTask_Unagi_S01_Count",
        "ParamType": "Integer",
        "Predicates": [
          {
            "$type": "ByCustomEvent",
            "EventKey": "AbyssS2_SingeleTask_Unagi_01"
          }
        ],
        "Target": "Self"
      },
      {
        "$type": "TriggerLevelCustomConditions",
        "LevelConditionsID": 1659,
        "Predicates": [
          {
            "$type": "ByCustomEvent",
            "EventKey": "AbyssS2_SingeleTask_Unagi_01"
          },
          {
            "$type": "ByAbilitySpecial",
            "CompareType": "Equal",
            "Param": "%AS_AbyssS2_SingeleTask_Unagi_S01_Target",
            "ParamName": "AS_AbyssS2_SingeleTask_Unagi_S01_Count",
            "ParamType": "Integer",
            "Target": "Self"
          }
        ]
      }
    ]
  },
  "Modifiers": {
    "AbyssS2_SingeleTask_Unagi_02_Modifier": {
      "Duration": "%AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Duration",
      "MaxStackingNumber": "%AS_AbyssS2_SingeleTask_Unagi_MagicValue_Consume_Target",
      "ModifierStacking": "Multiple"
    }
  }
}